declare namespace ADQV3 {
    interface AdProps {
        userId: number
        creativeHandle?: (id: number) => void
    };
    interface CreativeProps {
        queryForm: GetDynamicCreativeProps,
        setQueryForm: React.Dispatch<React.SetStateAction<GetDynamicCreativeProps>>,
        userId: number
    };
    interface GetAdListProps {
        pageNum: number;
        pageSize: number;
        useType: 1 | 2,   // 1：小说（默认值）2：游戏
        accountMemo?: string,  // 腾讯备注
        accountRemark?: string, // 本地备注
        accountIdList?: any[], // 广告账号
        adgroupIdList?: any[], // 广告组
        adgroupName?: string,  // 广告名称
        putUserIdList?: number[], // 投手
        systemStatusList?: string[], // 广告状态
        beginDate?: string,
        endDate?: string
    };
    type AccountAdgroupMapsProps = {
        accountAdgroupMaps: string[]
    };
    interface ModifyStatusBatchProps extends AccountAdgroupMapsProps {
        suspend: boolean
    };
    interface ModifyAmountBatchProps extends AccountAdgroupMapsProps {
        bidAmount?: number
        bidAmountPercent?: number
    };
    interface GetDynamicCreativeProps {
        pageNum: number;
        pageSize: number;
        userId: number;
        isDeleted?: boolean;
        creativeName?: string;
        creativeId?: number;
        adgroupId?: number;
        accountId?: number
    }
    interface ModifyAdTimeBatchProps extends AccountAdgroupMapsProps {
        beginDate: string,
        endDate: string,
        timeSeries: string
    }
    interface UpdateBatchAdgroupInfoProps extends AccountAdgroupMapsProps {
        adgroupName?: string
        autoAcquisitionEnabled?: boolean
        autoAcquisitionBudget?: number
        autoAcquisitionBudgetPercent?: number
    }
    interface ModifyDailyBudgetBatchProps extends AccountAdgroupMapsProps {
        bidAmount: number
    }
    interface DynamicCreativeLogProps {
        pageNum: number,
        pageSize: number,
        accountId?: number,
        adgroupId?: number,
        creativeId?: number,
        creativeName?: string,
        userId?: number
    }
}